Bug 115556 - system-config-soundcard cannot be started
system-config-soundcard cannot be started
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-02-13 10:28 EST by Ralf Kleineisel
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-21 09:49:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
replacement Python file (1.30 KB, text/plain)
2004-02-20 11:40 EST, Brent Fox
no flags Details

  None (edit)
Description Ralf Kleineisel 2004-02-13 10:28:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a)
Gecko/20031103

Description of problem:
When trying to start system-config-soundcard-1.2.2-1 I get the error
message:

# system-config-soundcard
system-config-soundcard requires a currently running X server.
Try running 'sndconfig' instead.

There is a X-Server running, I can call other X programs (e.g. xterm)
without problems.

Version-Release number of selected component (if applicable):
system-config-soundcard-1.2.2-1

How reproducible:
Always

Steps to Reproduce:
1. Open a terminal window under X
2. Enter "system-config-soundcard" at the prompt
3.
    

Actual Results:  Error message

Expected Results:  Get a system-config-soundcard window

Additional info:
Comment 1 Bill Nottingham 2004-02-16 02:29:03 EST
Hm, also, sndconfig is dead. :)
Comment 2 Brent Fox 2004-02-20 11:40:31 EST
Created attachment 97858 [details]
replacement Python file

ralf: Try replacing your
/usr/share/system-config-soundcard/system-config-soundcard.py file with this
attachment.  

Then run the program from a command line and attach any debug messages to this
bug report.
Comment 3 Ralf Kleineisel 2004-02-25 10:54:18 EST
I did so. The output is:

# system-config-soundcard -v
Traceback (most recent call last):
  File
"/usr/share/system-config-soundcard/system-config-soundcard.py", line
38, in ?
    import gtk
ImportError: No module named gtk
Comment 4 Brent Fox 2004-03-10 15:18:27 EST
system-config-soundcard has an RPM dependency on pygtk2.  Please run
'rpm -q pygtk2' and see if it is installed.
Comment 5 Nils Philippsen 2004-04-16 09:31:31 EDT
Brent,

I tried this, unfortunately to no avail:

root@gibraltar:~> PYTHONPATH=/usr/share/system-config-soundcard
DISPLAY= python system-config-soundcard.py
Traceback (most recent call last):
  File "system-config-soundcard.py", line 38, in ?
    import gtk
  File
"/usr/src/build/375621-i386/install/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py",
line 43, in ?
RuntimeError: could not open display
Comment 6 Nils Philippsen 2004-04-16 09:32:32 EDT
NB: this is the system-config-soundcard.py you attached to the bug.
Comment 7 Brent Fox 2004-04-16 12:35:17 EDT
Nils: can you try with system-config-soundcard-1.2.8-1 in Rawhide? 
You will have to install alsa-utils to satisfy the dependency, but it
should work ok on a non-alsa system.
Comment 8 Nils Philippsen 2004-04-16 13:37:22 EDT
Maybe I'm doing something wrong, but it doesn't work here:

nils@gibraltar:~> rpm -qi system-config-soundcard
Name        : system-config-soundcard      Relocations: (not relocatable)
Version     : 1.2.8                             Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Fri 16 Apr
2004 05:57:04 AM CEST
Install Date: Fri 16 Apr 2004 03:43:06 PM CEST      Build Host:
boris.devel.redhat.com
Group       : System Environment/Base       Source RPM:
system-config-soundcard-1.2.8-1.src.rpm
Size        : 1348886                          License: GPL
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://fedora.redhat.com/projects/config-tools/
Summary     : A graphical interface for detecting and configuring
soundcards
Description :
system-config-soundcard is a graphical user interface that
detects and configures the soundcard(s) on the system.
nils@gibraltar:~> sudo su -
root@gibraltar:~> DISPLAY= system-config-soundcard
system-config-soundcard requires a currently running X server.
root@gibraltar:~> DISPLAY=
/usr/share/system-config-soundcard/system-config-soundcard
system-config-soundcard requires a currently running X server.
root@gibraltar:~> DISPLAY= python
/usr/share/system-config-soundcard/system-config-soundcard.py
system-config-soundcard requires a currently running X server.
Comment 9 Brent Fox 2004-04-16 17:10:38 EDT
Nils: are you running this from inside X?  If not, then this is the
desired behavior.  

If X is running, then there must be a deeper problem with the pygtk
module not getting loaded.
Comment 10 Nils Philippsen 2004-04-21 09:49:56 EDT
Ahh, misread the original bug report for lack of function without X.
Under X and system-config-soundcard-1.2.8-1, everything works as
expected here.

I also guess that the original problem came from lack of pygtk2 --
closing the bug. Ralf, please reopen if the problem persists.
Comment 11 Eric Boardman 2005-09-12 22:40:29 EDT
ok i got a new one
Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

Traceback (most recent call last):
  File "/usr/share/system-config-soundcard/system-config-soundcard.py", line 38,
in ?
    import gtk
  File
"/usr/src/build/535819-i386/install/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py",
line 37, in ?
RuntimeError: could not open display

any help?

Note You need to log in before you can comment on or make changes to this bug.